Loading...
Searching...
No Matches
odf.teletype Namespace Reference

## Classes

class | WhitespaceText

## Functions

| addTextToElement (odfElement, s)
| extractText (odfElement)
| Extract text content from an Element, with whitespace represented properly.

## Function Documentation

## addTextToElement()

odf.teletype.addTextToElement | ( |  | odfElement,
|  |  | s
| ) |  |

Definition at line 107 of file teletype.py.

## extractText()

odf.teletype.extractText | ( |  | odfElement | ) |

Extract text content from an Element, with whitespace represented properly.

Returns the text, with tabs, spaces, and newlines correctly evaluated. This method recursively descends through the children of the given element, accumulating text and "unwrapping" <text:s>, <text:tab>, and <text:line-break> elements along the way.

Definition at line 117 of file teletype.py.

Here is the call graph for this function:
Here is the caller graph for this function: